aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mssola@mssola.com>2026-02-03 10:49:33 +0100
committerMiquel Sabaté Solà <mssola@mssola.com>2026-02-03 10:49:33 +0100
commit8b38c88ae55a6edf1028a5aa57b93afdbc4001d6 (patch)
treedd7f8a8c369000d6579a8dd20497ab20d93f1c9c /scripts
parent948ad7f2bda3495faebf39d1bb903f863e9ad596 (diff)
downloadtools.nes-8b38c88ae55a6edf1028a5aa57b93afdbc4001d6.tar.gz
tools.nes-8b38c88ae55a6edf1028a5aa57b93afdbc4001d6.zip
Avoid invalid identifiers in proc/macro/scope
This was apparently neglected and you were able to pick invalid identifiers to identify procs, macros and scopes. Ensure this does not happen again and provide tests for it. Signed-off-by: Miquel Sabaté Solà <mssola@mssola.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test-e2e.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/test-e2e.sh b/scripts/test-e2e.sh
index 18dbeff..06545b8 100755
--- a/scripts/test-e2e.sh
+++ b/scripts/test-e2e.sh
@@ -88,6 +88,13 @@ exit_code=$((exit_code + $?))
diff tests/out/fallthrough.nes tests/expected/fallthrough.nes
exit_code=$((exit_code + $?))
+echo "test: custom => avoid_bad_macro.nes"
+./target/debug/nasm -c empty --asan tests/avoid_bad_macro.s -o tests/out/avoid_bad_macro.nes 2>tests/out/avoid_bad_macro.txt
+diff tests/out/avoid_bad_macro.txt tests/expected/avoid_bad_macro.txt
+exit_code=$((exit_code + $?))
+diff tests/out/avoid_bad_macro.nes tests/expected/avoid_bad_macro.nes
+exit_code=$((exit_code + $?))
+
##
# code.nes